Temp Projects - Tasks #6390

Vendor Shipment Error
05/05/2022 07:45 PM - Rijas P

Status: Closed Start date: 05/05/2022
Priority: Immediate Due date:

Assignee: SahlaTV % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 0.50 hour
Description

Getting an error "3 lines with error in Receive GF220414 Souvenir.csv " while importing CSV to vendor shipment screen.

Actually these items have PO gty in same order, but we have changed the uom conversion for the items before doing vendor
shipment [EU21707,EU21708,EU21714]. PFA error CSV for your reference.

Order completed with Uom Conversion "Carton" divide rate = 36

Vendor Shipment CSV Uom Conversion "Carton1" divide rate =72

History

#1 - 05/06/2022 12:47 PM - Rijas P
- File WhatsApp Image 2022-05-06 at 11.08.06 AM.jpeg added
Issue 2 - While calling vendor Shipment to RG screen.
1. I have completed vendor shipment by removing the error items.
2. From RG screen selected vendor shipment document
3. All items came to the cart but the line total showing is wrong.
Eg: EU22285, Divide rate =6, Unit Price $ = 6.72, Shipped Qty = 50CTNs
Actual Result line total = 50X6.72 = 336.00
Expect Result line total = 50X6X6.72 = 2016
#2 - 05/06/2022 07:37 PM - Mohamed Suhail
- Assignee changed from Mohamed Suhail to Sahla T V
Rijas P wrote:
Getting an error "3 lines with error in Receive GF220414 Souvenir.csv " while importing CSV to vendor shipment screen.

Actually these items have PO gty in same order, but we have changed the uom conversion for the items before doing vendor shipment
[EU21707,EU21708,EU21714]. PFA error CSV for your reference.

Order completed with Uom Conversion "Carton" divide rate = 36

Vendor Shipment CSV Uom Conversion "Carton1" divide rate =72

@sahla please check the reported issues on priority

#3 - 05/11/2022 11:02 PM - Sahla T V

The fix has been given for the reported issues and committed in svn. Please create bugzilla ticket for the same

#4 - 05/12/2022 04:27 PM - Mohamed Suhail
Sahla T V wrote:

The fix has been given for the reported issues and committed in svn. Please create bugzilla ticket for the same

http://bugzilla.posibolt.com/show_bug.cgi?id=8491
http://bugzilla.posibolt.com/show_bug.cgi?id=8491

#5 - 05/13/2022 09:44 AM - Mohamed Suhail
- Status changed from New to Bugzilla Created

- Assignee changed from Sahla T V to Dev User

Rijas P wrote:
Getting an error "3 lines with error in Receive GF220414 Souvenir.csv " while importing CSV to vendor shipment screen.

Actually these items have PO qty in same order, but we have changed the uom conversion for the items before doing vendor shipment
[EU21707,EU21708,EU21714]. PFA error CSV for your reference.

Order completed with Uom Conversion "Carton" divide rate = 36

Vendor Shipment CSV Uom Conversion "Carton1" divide rate =72

#6 - 05/18/2022 10:23 AM - Rijas P
- File cdycvglkhbxygisai.csv added
Dear Suhail,

Hope this issue has been fixed internally. Could you please update in our live server. Because we can't complete vendor shipment if the Uom given in
CSV sheet is not match with PO Uom. All our vendor shipments are pending due to this error. Kindly request you to update this today itself.

#7 - 05/24/2022 08:33 PM - Rijas P
Dear Noufal,

Please update the test server with the fix of these issues. We will test it tomorrow and need to update in live immediate basis. All our transit works are
pending due to this issue.

#8 - 05/30/2022 11:59 AM - Rijas P

- File Vendor shipment doc to RG.JPG added

Dear Noufal,

We have tested the fix of vendor shipment screen, please see our below comments
Issue 1 - Vendor Shipment CSV import can do only with PO Uom - Found fixed.

Issue 2 - Unit price issue while calling vendor shipment to RG screen - Unable to check this case, because in test server once calling vendor shipmen
t document getting an error "/by Zero" PFA.

#9 - 05/30/2022 01:51 PM - Noufal K

- Assignee changed from Dev User to Sahla T V
Sahla, Please check.

#10 - 05/30/2022 05:29 PM - Mohamed Suhail
- % Done changed from 0 to 50
Noufal K wrote:

Sahla, Please check.
Issue due to QtyPriced having value on test db
Seems some issue with replication
Live Server

euro=# select description,c_uom_id,qgtyordered,gtyentered,qtypriced,price_uom_id from c_orderline where c_orderline_id =2615041;
description | c_uom_id | gtyordered | gtyentered | gtypriced | price_uom_id

+

BURJ KHALIFA METAL CRYSTAL BASE 3 COLOUR SIZE 1| 1000000 | 6000 | 50.00 | 50 | 1000000
(1 row)
Test Server

euro_test=# select description,c_uom_id,qtyordered,qtyentered,qtypriced,price_uom_id from c_orderline where c_orderline_id =2615041;

description | c_uom_id | gtyordered | gtyentered | qtypriced | price_uom_id
BURJ KHALIFA METAL CRYSTAL BASE 3 COLOUR SIZE 1| 1000000 | 6000| 50.00 | 0|
(1 row)

#11 - 05/30/2022 05:49 PM - Mohamed Suhail
- % Done changed from 50 to 100
Mohamed Suhail wrote:
Noufal K wrote:
Sahla, Please check.
Issue due to QtyPriced having value on test db
Seems some issue with replication

Live Server

euro=# select description,c_uom_id,qtyordered,qgtyentered,qtypriced,price_uom_id from c_orderline where c_orderline_id =2615041;

description | c_uom_id | gtyordered | gtyentered | qtypriced | price_uom_id

+

BURJ KHALIFA METAL CRYSTAL BASE 3 COLOUR SIZE 1| 1000000 | 6000 | 50.00 | 50 | 1000000
(1 row)

Test Server

euro_test=# select description,c_uom_id,qgtyordered,qtyentered,qtypriced,price_uom_id from c_orderline where c_orderline_id =2615041;

description | c_uom_id | gtyordered | gtyentered | qtypriced | price_uom_id
BURJ KHALIFA METAL CRYSTAL BASE 3 COLOUR SIZE 1| 1000000 | 6000| 50.00 | 0]
(1 row)

Updated qtypriced for all order lines in the reported shipment
Please check now Rijas P

#12 - 05/31/2022 10:19 PM - Rijas P
- File RG line total.JPG added

Dear Suhail,

Now it's working and loaded items to RG screen by vendor shipment doc. But the line total is showing wrong for the item EU21699. [Total Pcs*CTN

price instead of Total Pcs*Unit price]. PFA

#13 - 08/06/2022 01:16 PM - Rijas P

- Status changed from Bugzilla Created to Closed

Case closed

#14 - 05/21/2024 04:06 PM - SHAIJAL EDAVANA
- Tracker changed from Bug to Tasks
- Project changed from Euro Novelties to Temp Projects

- Category deleted (Others)

Files

ytppuhdzogogvkbwiibfkrfd.csv 2.46 KB 05/05/2022 Rijas P
WhatsApp Image 2022-05-06 at 11.08.06 AM.jpeg 194 KB 05/06/2022 Rijas P
cdycvglkhbxygisai.csv 3.86 KB 05/18/2022 Rijas P
Vendor shipment doc to RG.JPG 76.5 KB 05/30/2022 Rijas P
RG line total.JPG 219 KB 05/31/2022 Rijas P
